"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var g=Object.create;var u=Object.defineProperty;var y=Object.getOwnPropertyDescriptor;var d=Object.getOwnPropertyNames;var w=Object.getPrototypeOf,f=Object.prototype.hasOwnProperty;var h=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var C=(e,t,n,l)=>{if(t&&typeof t=="object"||typeof t=="function")for(let o of d(t))!f.call(e,o)&&o!==n&&u(e,o,{get:()=>t[o],enumerable:!(l=y(t,o))||l.enumerable});return e};var p=(e,t,n)=>(n=e!=null?g(w(e)):{},C(t||!e||!e.__esModule?u(n,"default",{value:e,enumerable:!0}):n,e));var a=h((x,v)=>{v.exports=Vue});var B=p(a());function _(e){return weex.requireModule(e)}var m=(e,t)=>{let n=e.__vccOpts||e;for(let[l,o]of t)n[l]=o;return n};var i=p(a()),L={data(){return{liveListStyle:"",userkey:""}},methods:{onClickItem(e){uni.navigateTo({url:"/pages/watchLive/watchLive?value="+e.detail})},onClickBackItem(){uni.navigateBack()}},onLoad(e){let t=uni.getWindowInfo();this.liveListStyle="width: "+t.windowWidth+"px;height:"+t.windowHeight+"px;";let n=uni.getStorageSync("key")||null;this.userkey=n;var l=_("globalEvent");l.addEventListener("onClickBackItem",function(o){uni.navigateBack()}),l.addEventListener("onClickItem",function(o){uni.navigateTo({url:"/pages/watchLive/watchLive?value="+o.detail})})}};function I(e,t,n,l,o,c){let k=(0,i.resolveComponent)("liveListComponent");return(0,i.openBlock)(),(0,i.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,i.createElementVNode)("view",null,[(0,i.createVNode)(k,{style:(0,i.normalizeStyle)(o.liveListStyle),onOnClickItem:c.onClickItem,userkey:o.userkey,onOnClickBackItem:c.onClickBackItem},null,8,["style","onOnClickItem","userkey","onOnClickBackItem"])])])}var r=m(L,[["render",I]]);var s=plus.webview.currentWebview();if(s){let e=parseInt(s.id),t="pages/liveList/liveList",n={};try{n=JSON.parse(s.__query__)}catch(o){}r.mpType="page";let l=Vue.createPageApp(r,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:n});l.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...r.styles||[]])),l.mount("#root")}})();
