"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var f=Object.create;var d=Object.defineProperty;var v=Object.getOwnPropertyDescriptor;var k=Object.getOwnPropertyNames;var w=Object.getPrototypeOf,C=Object.prototype.hasOwnProperty;var h=(o,e)=>()=>(e||o((e={exports:{}}).exports,e),e.exports);var y=(o,e,t,i)=>{if(e&&typeof e=="object"||typeof e=="function")for(let n of k(e))!C.call(o,n)&&n!==t&&d(o,n,{get:()=>e[n],enumerable:!(i=v(e,n))||i.enumerable});return o};var u=(o,e,t)=>(t=o!=null?f(w(o)):{},y(e||!o||!o.__esModule?d(t,"default",{value:o,enumerable:!0}):t,o));var c=h((T,p)=>{p.exports=Vue});var I=u(c());function _(o){return weex.requireModule(o)}var g=(o,e)=>{let t=o.__vccOpts||o;for(let[i,n]of e)t[i]=n;return t};var a=u(c()),L={data(){return{liveListStyle:"",beanString:""}},methods:{onClickBackItem(){uni.navigateBack()},onClickToOffer(o){let e=o.detail;uni.navigateTo({url:"/pages/demoGoodsPage/demoGoodsPage?product_id="+e.product_id+"&product_name="+e.product_name})},onClickLookGoods(o){let e=o.detail;uni.navigateTo({url:"/pages/demoGoodsPage/demoGoodsPage?product_id="+e.product_id+"&product_name="+e.product_name})}},onLoad(o){let e=uni.getWindowInfo();this.liveListStyle="width: "+e.windowWidth+"px;height:"+e.windowHeight+"px;",this.beanString=o.value;var t=_("globalEvent");t.addEventListener("onClickBackItem",function(i){uni.navigateBack()}),t.addEventListener("onClickToOffer",function(i){let n=i.detail;uni.navigateTo({url:"/pages/home/category/auctionDetail?id="+n.product_id+"&tooffer=1"})}),t.addEventListener("onClickLookGoods",function(i){let n=i.detail;uni.navigateTo({url:"/pages/home/category/auctionDetail?id="+n.product_id})})}};function b(o,e,t,i,n,l){let m=(0,a.resolveComponent)("watchLiveComponent");return(0,a.openBlock)(),(0,a.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,a.createElementVNode)("view",null,[(0,a.createVNode)(m,{style:(0,a.normalizeStyle)(n.liveListStyle),roomInfo:n.beanString,onOnClickBackItem:l.onClickBackItem,onOnClickToOffer:l.onClickToOffer,onOnClickLookGoods:l.onClickLookGoods},null,8,["style","roomInfo","onOnClickBackItem","onOnClickToOffer","onOnClickLookGoods"])])])}var r=g(L,[["render",b]]);var s=plus.webview.currentWebview();if(s){let o=parseInt(s.id),e="pages/watchLive/watchLive",t={};try{t=JSON.parse(s.__query__)}catch(n){}r.mpType="page";let i=Vue.createPageApp(r,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:e,__pageQuery:t});i.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...r.styles||[]])),i.mount("#root")}})();
